package ru.yandex.autotests.direct.scriptrunner.service.scripts;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;

public class TestScriptRunResponse {
    private Integer code;
    private String stdout;
    private String stderr;

    @JsonCreator
    public TestScriptRunResponse(
            @JsonProperty("exit_code") Integer code,
            @JsonProperty("stdout") String stdout,
            @JsonProperty("stderr") String stderr) {
        this.code = code;
        this.stdout = stdout;
        this.stderr = stderr;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getStdout() {
        return stdout;
    }

    public void setStdout(String stdout) {
        this.stdout = stdout;
    }

    public String getStderr() {
        return stderr;
    }

    public void setStderr(String stderr) {
        this.stderr = stderr;
    }
}